com.amazon.redshift.jdbc

## Enum MetadataAPIHelper.GetPrimaryKeys_Metadata

- java.lang.Object
- - java.lang.Enum<MetadataAPIHelper.GetPrimaryKeys_Metadata>
  - - com.amazon.redshift.jdbc.MetadataAPIHelper.GetPrimaryKeys_Metadata

All Implemented Interfaces:
  MetadataAPIHelper.enumFunc<MetadataAPIHelper.GetPrimaryKeys_Metadata>, Serializable, Comparable<MetadataAPIHelper.GetPrimaryKeys_Metadata>

Enclosing class:
  MetadataAPIHelper

    public static enum MetadataAPIHelper.GetPrimaryKeys_Metadata
    extends Enum<MetadataAPIHelper.GetPrimaryKeys_Metadata>
    implements MetadataAPIHelper.enumFunc<MetadataAPIHelper.GetPrimaryKeys_Metadata>

Define return columns for JDBC API getPrimaryKeys according to the spec:

See Also:
  JDBC Specification

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`COLUMN_NAME`
`KEY_SEQ`
`PK_NAME`
`TABLE_CAT`
`TABLE_NAME`
`TABLE_SCHEM`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`int` `getIndex()`
`String` `getName()`
`int` `getOidType()`
`static MetadataAPIHelper.GetPrimaryKeys_Metadata` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static MetadataAPIHelper.GetPrimaryKeys_Metadata[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### TABLE_CAT

    public static final MetadataAPIHelper.GetPrimaryKeys_Metadata TABLE_CAT

#### TABLE_SCHEM

    public static final MetadataAPIHelper.GetPrimaryKeys_Metadata TABLE_SCHEM

#### TABLE_NAME

    public static final MetadataAPIHelper.GetPrimaryKeys_Metadata TABLE_NAME

#### COLUMN_NAME

    public static final MetadataAPIHelper.GetPrimaryKeys_Metadata COLUMN_NAME

#### KEY_SEQ

    public static final MetadataAPIHelper.GetPrimaryKeys_Metadata KEY_SEQ

#### PK_NAME

    public static final MetadataAPIHelper.GetPrimaryKeys_Metadata PK_NAME

### Method Detail

#### values

    public static MetadataAPIHelper.GetPrimaryKeys_Metadata[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (MetadataAPIHelper.GetPrimaryKeys_Metadata c : MetadataAPIHelper.GetPrimaryKeys_Metadata.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static MetadataAPIHelper.GetPrimaryKeys_Metadata valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getIndex

    public int getIndex()

Specified by:
  `getIndex` in interface `MetadataAPIHelper.enumFunc<MetadataAPIHelper.GetPrimaryKeys_Metadata>`

#### getName

    public String getName()

Specified by:
  `getName` in interface `MetadataAPIHelper.enumFunc<MetadataAPIHelper.GetPrimaryKeys_Metadata>`

#### getOidType

    public int getOidType()

Specified by:
  `getOidType` in interface `MetadataAPIHelper.enumFunc<MetadataAPIHelper.GetPrimaryKeys_Metadata>`